### Virtual Method

# Ide Debugger insert_breakpoint_async

#### Declaration

    void
    insert_breakpoint_async (
      IdeDebugger* self,
      IdeDebuggerBreakpoint* breakpoint,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that a breakpoint is added to the debugger.

This asynchronous function may complete before the breakpoint has been registered in the debugger. Debugger implementations will emit `IdeDebugger::breakpoint-added` when a breakpoint has been registered.

Available since: | 3.32

#### Parameters

`breakpoint` | `IdeDebuggerBreakpoint`
| An `IdeDebuggerBreakpoint`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| An async callback to complete the operation.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.